viernes, 7 de diciembre de 2012

¿Cómo instalar el driver privativo AMD Catalyst Legacy en Ubuntu 12.10/Mint 14?


Editado:

Al parecer, Ubuntu 12.10 (y Mint 14 al estar basado en él, por lo que parece), se sirven de una versión más moderna de un programa llama Xorg que los anteriores, y esto da problema porque el driver privativo de la tarjeta gráfica está preparado para instalarse justo con la anterior (que ha salido hace bien poco), con lo que tenemos que bajar una versión dicho programa Xorg.

Hay tres métodos. Yo el primero que encontré fue el último del que hablo aquí y que antes lo tenía como el principal en este mismo post, pero puestos que a algunos usuarios les puede ir mejor con otros dos que encontré gracias al blog de Ubuntu Peronista, os los comento también y antes que el que yo apliqué:


-Descarga de web oficial e instalación típica (Método Tradicional)
Consiste en descargar el archivo en cuestión desde la Web Oficial de AMD haciendo Click Aquí, para luego ejecutar el script de instalación.

En la web oficial, procederemos a la descarga completando el formulario propuesto:


Para ejeccutar el script de instalación abrimos una terminal con Ctrl+Alt+T e ingresamos el siguiente Comando de Organización.
sudo sh ./amd-driver-installer-12.6-legacy-x86.x86_64.run

Luego, seguiremos las clásicas pantallas de instrucciones. 

-Empaquetado del controlador en un archivo DEB instalable:
Como alternativa a ejecutar el guión, podremos construir el controlador empaquetado, con los siguientes comandos:

wget http://www2.ati.com/drivers/legacy/amd-driver-installer-12.6-legacy-x86.x86_64.zip
unzip amd-driver-installer-*
sudo sh ./amd-driver-installer-*.run --buildpkg Ubuntu/quantal
sudo dpkg -i fglrx*.deb
sudo aticonfig --initial -f



Ésta ya es la que me funcionó a mí:

-En teoría ésta, que fue la que yo apliqué, debería funcionar para las tarjetas gráficas AMD Radeon HD de las series 2xxx-4xxx. Pero por si acaso, probad las anteriores:



Vamos a la Terminal, y aplicamos los siguientes comandos:

sudo add-apt-repository ppa:makson96/fglrx
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install fglrx-legacy

Reiniciáis por si acaso, y con esto debería funcionaros ya. Si os da algún problema, siempre podéis desinstalarlo con lo siguiente:

sudo apt-get install ppa-purge
sudo ppa-purge ppa:makson96/fglrx

Esta solución es obra de Tomasz Macarewicz. A mí me ha funcionado perfectamente, y espero que os pueda ser de utilidad. Si os ha servido y gustado el aporte, por favor dadle +1 a esta entrada y difundid, pues seguro que no son pocos a los que les vendría bien esta ayuda (válido tanto para Linux Mint 14, como Ubuntu 12.10 e imagino que otros que usen a este último como base). ;)



PD: en Linux Mint 14, para ver tu tarjeta gráfica, vete a Aplicaciones -> Administración -> System Information, y de ahí mira en PCI Device, buscas VGA compatible controller.